Loading...
Searching...
No Matches
OgreShaderRenderState.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderSubRenderState.h"`
`#include "OgreShaderProgramSet.h"`

## Classes

class | Ogre::RTShader::RenderState
| This is a container class for sub render state class. More...
class | Ogre::RTShader::TargetRenderState
| This is the target render state. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef std::shared_ptr< TargetRenderState > | Ogre::RTShader::TargetRenderStatePtr